Package: org.gradle.tooling.model

## [Java] Interface BuildableElement

- org.gradle.tooling.model.Element

- All Superinterfaces:
    Model, Element

  Represents an element which has Gradle tasks associated with it.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends Task>` | `getTasks()` Returns the tasks of this project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends Task> getTasks()

      Returns the tasks of this project.

      Returns:
        The tasks of this project.
      Since:
        1.0-milestone-5